<?php
$timeout = 120;//w sekundach

function visitsCount($timeout){
  if (!$db_lnk = @sqlite_open("/var/wwwdata/stats.db", 0666, $msg)){
    //echo 'Wystąpił błąd podczas próby połączenia z bazą...<br />';
    //echo "Komunikat błędu: $msg";
    return false;
  }

  $val = time() - $GLOBALS['timeout'];
  $query = "SELECT COUNT(*) FROM stats WHERE time > $val";
  
  if(!$result = sqlite_query($db_lnk, $query)){
    @sqlite_close();
    //echo 'Błąd podczas wykonywania instrukcji SELECT. <br />';
    return false;
  }

  if($row = @sqlite_fetch_array($result)){
    $counter = $row[0];
  }
  else{
    @sqlite_close($db_lnk);
    //echo "Błąd w danych";
    return false;
  }

  @sqlite_close($db_lnk);

  return $counter;
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
<title>Moja strona WWW</title>
</head>
<body>
<div>
<?php
if(($ile = visitsCount($timeout)) !== false){
  echo "Liczba osób obecnych na stronie w ciągu ostatnich ";
  echo "$timeout sekund: $ile.";
}
else{
  echo "Licznik ostatnich wizyt nie jest dostępny.";
}
?>
</div>
</body>
</html>
